Package de.tudresden.sumo.objects

## Class SumoNextTLS.NextTLS

- java.lang.Object
- - de.tudresden.sumo.objects.SumoNextTLS.NextTLS

- Enclosing class:
    SumoNextTLS

      public class SumoNextTLS.NextTLS
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `tlsID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NextTLS​(String tlsID, int ix, double dist, String state)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tlsID

          public String tlsID

  - ### Constructor Detail

    - #### NextTLS

          public NextTLS​(String tlsID,
                         int ix,
                         double dist,
                         String state)